<?php 
    # $Id: user_NEW.php,v 1.2 2007/01/08 12:51:13 jarda Exp $

    /* Page for entering a new user account data
    */

    require_once('structuredPage.inc.php');

    
    class PageClass extends EditUserAccountsStructuredPage
    {

        function getTitle()
        {
            return 'New user addition';
        }


        function printContents()
        {
            echo "<form action=\"user_ADD.php\" method=\"post\">";
            echo "<table>\n";
            echo "<tr><td>Login:</td><td><input type=\"text\" name=\"login\"></td></tr>\n";
            echo "<tr><td>Password:</td><td><input type=\"password\" name=\"password\"></td></tr>\n";
            echo "<tr><td>Can edit database:</td><td><input type=\"checkbox\" name=\"canEditDB\"></td></tr>\n";
            echo "<tr><td>Can edit user accounts:</td><td><input type=\"checkbox\" name=\"canEditUserAccounts\"></td></tr>\n";
            echo "<tr><td>Can change own password:</td><td><input type=\"checkbox\" name=\"canChangeOwnPassword\"></td></tr>\n";
            echo "</table>\n";
            echo "<br>\n";
            echo "<input type=\"submit\" value=\"OK\" name=\"OK\"><input type=\"submit\" value=\"Cancel\" name=\"Cancel\">\n";
        }
    }

    launchPage();
    
    # vim:enc=iso8859-2:fenc=iso8859-2:
?>
